apiVersion: apps/v1
kind: Deployment
metadata:
  name: flask-deployment
  namespace: default
  labels:
    app: flask-deployment
spec:
  revisionHistoryLimit: 2
  strategy:
    type: RollingUpdate
  replicas: 4
  selector:
    matchLabels:
      app: flask-actualizacion 
  template:
    metadata:
      labels:
        app: flask-actualizacion
    spec:
      volumes:
      - name: flask-html
        persistentVolumeClaim:
          claimName: flask-pv-claim
      containers:
      - image: localhost:32000/flask-actualizacion:latest
        name: flask-actualizacion
        ports:        
        - name: flask-default
          containerPort: 5000
        volumeMounts:
        - mountPath: "/app/templates"
          name: flask-html